html,
body {
  height: 100%;
  margin: 0;
  font-family: "Inter", sans-serif;
  background-color: #b3e0ef;
  height: 100vh;
}

.login {
  display: flex;
  height: 100vh;
  width: 100%;
}

.sidebar {
  width: 35%;
  background-color: #11599c;
  height: 100%;
  box-sizing: border-box;
  border-radius: 0px 25px 25px 0px;
  position: relative;
  .hkcslogo-login {
    display: block;
    margin: auto;
    margin-top: 15px;
    height: 50px;
    width: auto;
  }

  .image-wrapper {
    position: absolute;
    top: 50%;
    transform: translate(70%, -50%);
  }

  .image-wrapper img {
    max-width: 100%;
    height: auto;
  }
}

.main-content {
  flex: 1;
  height: 100%;
  overflow-y: auto;
  display: flex;
  align-items: center;
  position: relative;

  svg {
    position: absolute;
    top: 0px;
    right: 0;
  }

  .card {
    padding: 40px 20px;
    background: rgba(255, 255, 255, 0.5);
    border-radius: 25px;
    box-shadow: 4px 5px 6.300000190734863px rgba(0, 0, 0, 0.12),
      -4px -5px 6.300000190734863px rgba(0, 0, 0, 0.12);
    backdrop-filter: blur(4px);
    max-width: 90%;
        display: block;
        margin: auto;
    

    h1 {
      font-weight: 600;
      font-size: 24px;
      line-height: 29px;
      color: #121212;
    }

    .login-input {
      height: 50px;
      padding: 15px 18px;
      background: #ffffff;
      border: 1.2000000476837158px solid #8b8888;
      border-radius: 6px;
      font-size: 16px;
      color: #8b8888;
      margin-top: 1.5rem;
    }

    .custom-checkbox {
      width: 18px !important;
      height: 18px !important;
      border: 1.2000000476837158px solid #8b8888 !important;
      border-radius: 0 !important;
      cursor: pointer;
    }

    .form-check-label {
      font-weight: 600;
      font-size: 12px;
      position: relative;
      top: 3px;
      color: #121212;
      cursor: pointer;
    }

    .form-check {
      display: flex;
      justify-content: space-between;
      align-items: center;
    }
  }

  .footer-text-wrapper {
    display: flex;
    justify-content: center;
    position: absolute;
    bottom: 1%;
    width: 100%;
  }

  .footer-text {
    text-align: center;
    font-weight: 500;
    font-size: 12px;
    color: #000000;
  }
}

.login-btn {
  height: 45px;
  background: #11599c;
  border-radius: 30px;
  font-size: 16px;
  color: #ffffff;
  margin-top: 0.8rem;
  border: none;
  width: 100%;
}

@media (max-width: 767px) {
  .sidebar {
    display: none;
  }

  svg {
    display: none;
  }

  .main-content {
    width: 100%;
  }

  .card{
    max-width: 100%;
  }
}

.heading {
  margin-top: 100px;
}

.form-container {
  background-color: #fff;
  padding: 2rem;
  border-radius: 0.5rem;
  box-shadow: 0 3px 6px #83909d;
  width: 30%;
  font-size: 20px;
}

.form-container h1 {
  margin-bottom: 1rem;
}

.form-container label {
  font-weight: 500;
  font-size: 14px;
}

.form-container input[type="text"] {
  border-radius: 0.25rem;
  border: 2px solid #7ac2d4;
  padding: 0.75rem;
  width: 90%;
  margin-top: 10px;
  margin-bottom: 20px;
}

.form-container input[type="password"] {
  border-radius: 0.25rem;
  border: 2px solid #7ac2d4;
  padding: 0.75rem;
  width: 90%;
  margin-top: 10px;
  margin-bottom: 5px;
}

.form-container button[type="submit"] {
  background-color: #11599c;
  border: none;
  border-radius: 0.25rem;
  color: #fff;
  padding: 0.47rem;
  width: 20%;
  cursor: pointer;
  margin-top: 15px;
  text-align: center;
  font-family: "Inter", sans-serif;
  font-style: normal;
  font-weight: 400;
  font-size: 14px;
  transition: background-color 0.3s ease-in-out;
}

.form-container button[type="submit"]:hover {
  background-color: #11599c;
}

.form-heading {
  background-color: #fff;
  padding: 10px 32px;
  border-radius: 0.5rem;
  box-shadow: 0 2px 2px #f61e21;
  width: 30%;
}

.form-heading h1 {
  color: #11599c;
  font-family: "Poppins", sans-serif;
  font-style: normal;
  font-weight: 600;
  font-size: 26px;
  line-height: 15px;
  text-align: center;
}

.btn {
  display: flex;
  justify-content: center;
  align-items: center;
}

.newaccount_text {
  padding-right: 15px;
  display: flex;
  justify-content: end;
  align-items: center;
}

.newaccount_text a {
  text-decoration: none;
  color: #0055cc;
  font-family: "Inter", sans-serif;
  font-style: normal;
  font-weight: 500;
  font-size: 14px;
  line-height: 15px;
  text-align: center;
}

.alert-danger {
  background-color: #f8d7da;
  border-color: #f5c2c7;
  color: #842029;
  padding: 1rem;
  border-radius: 0.375rem;
  margin-top: 1rem;
  font-family: "Inter", sans-serif;
  font-style: normal;
  font-weight: 500;
  font-size: 14px;
  line-height: 15px;
  text-align: center;
}

.alert-dismissible .btn-close {
  position: absolute;
  top: 0.75rem;
  right: 1rem;
  padding: 0.5rem;

  background: none;
  border: none;
  font-size: 1.25rem;
}

.alert-dismissible .btn-close:hover {
  color: #842029;
}

.modal-content .invalid-feedback,
.first_row .invalid-feedback,
.invalid-feedback {
  display: block;
  color: red;
  margin-top: 8px;
  font-family: "Inter", sans-serif;
  font-style: normal;
  font-weight: 400;
  font-size: 14px;
  line-height: 15px;
  text-align: left;
}

.form-label span {
  color: #ff002b;
}

.password-toggle {
  position: absolute;
  top: 58.4%;
  right: 37.5%;
  cursor: pointer;
}

.modal {
  display: none;
  position: fixed;
  z-index: 1;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  overflow: auto;
  background-color: rgb(0, 0, 0);
  background-color: rgba(0, 0, 0, 0.4);
  padding-top: 60px;
  animation: fadeIn 0.5s;
}

.modal-content {
  background-color: #fefefe;
  margin: 7% auto;
  padding: 20px 20px;
  width: 80%;
  max-width: 400px;
  border-radius: 10px;
  box-shadow: -7px -7px 10px rgba(0, 0, 0, 0.15),
    7px 7px 10px rgba(0, 0, 0, 0.15);

  font-family: Inter;
  font-style: normal;
  font-weight: 600;
  font-size: 14px;
  line-height: 26px;
  text-align: left;

  color: #000000;
  animation: slideDown 0.5s;
}
 @keyframes fadeIn {
  from {
    opacity: 0;
  }

  to {
    opacity: 1;
  }
}

@keyframes slideDown {
  from {
    transform: translateY(-20%);
  }

  to {
    transform: translateY(0);
  }
}

.first_row {
  display: flex;
  justify-content: flex-start;
  align-items: center;
}

.modal-content {
  p {
    color: #b7989c;
    line-height: 17px;
    text-align: center;
    font-weight: 500;
    margin: 0px;
    margin-bottom: 5px;
  }

  h3 {
    margin: 0px;
    font-size: 1.2rem;
  }
}

.modal-content .row .form input,
.modal-content .first_row .form input {
  height: 50px;
  padding: 15px 18px;
  background: #ffffff;
  border: 1.2000000476837158px solid #8b8888;
  border-radius: 6px;
  font-size: 16px;
  color: #8b8888;
  margin-top: 0.5rem;
  width: 100%;
}

.form {
  width: 100%;
}

.buttons {
  display: flex;
  flex-direction: column;
  align-items: center;
}

.btn-action {
  width: 30%;
  background: #11599c;
  padding: 0.45rem;
  border-radius: 0.25rem;
  border: none;
  font-weight: 500;
  font-size: 14px;
  line-height: 1.3;
  text-align: center;
  color: #ffffff;
}

.back-signin {
  background-color: #ffffff;
  color: #11599c;
  border: 1px solid #11599c;
}

.mail_icon {
  display: flex;
  justify-content: center;
}

.otp-inputs {
  display: flex;
  justify-content: center;
  gap: 20px;
  margin: 15px 0px 3px 0px;
}

.otp-field {
  text-align: center;
  outline: none;
  width: 70px;
  height: 70px;
  background: rgba(17, 89, 156, 0.05000000074505806);
  border: 1px solid #11599c;
  border-radius: 2px;
  font-weight: 600;
  font-size: 21px;
  color: #1b1b1b;

}

.otp-field:focus {
  border-color: #4caf50;
  box-shadow: 0 0 5px rgba(76, 175, 80, 0.2);
}

.hidden {
  display: none;
}

.otp-section h5 {
  margin: 0;
  padding: 2px 0;
  font-family: "Poppins", sans-serif;
  font-style: normal;
  font-weight: 300;
  font-size: 14px;
  line-height: 20px;
  text-align: center;

  color: #000000;
}

.otp-section h4 {
  margin: 0;
  padding: 10px 0;
  font-family: "Poppins", sans-serif;
  font-style: normal;
  font-weight: 500;
  font-size: 18px;
  line-height: 23px;
  text-align: center;
  color: #11599c;
}

.suce h4 {
  margin: 0;
  padding: 10px 0;
  font-family: "Poppins", sans-serif;
  font-style: normal;
  font-weight: 500;
  font-size: 18px;
  line-height: 23px;
  text-align: center;
  color: #11599c;
}

.resend_otp {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 0px 10px;
    span{
        flex: 1;
        font-weight: 400;
        font-size: 14px;
        color: #11599c;
    }
    .resend-otp{
        height: 25px;
        background: #11599c;
        font-size: 12px;
        color: #ffffff;
        line-height: 0px;
        display: flex;
        align-items: center;
        border-radius: 7px;
    }
    .resend-otp-link{
       color: black;
    }
    
}

.text_email {
  padding-top: 10px;
}

.resend_otp a {
  color: #4caf50;
}

.reset_icon {
  display: flex;
  justify-content: center;
  padding-top: 10px;
}

.otpverify_icon {
  display: flex;
  justify-content: center;
  padding-top: 60px;
}

.otp_show {
  padding-bottom: 50px;
}

.row h4 {
  font-family: "Poppins", sans-serif;
  font-style: normal;
  font-weight: 500;
  font-size: 18px;
  line-height: 20px;
  text-align: center;
  color: #11599c;
  padding-bottom: 40px;
  padding-top: 15px;
}

.content {
  opacity: 1;
  transition: opacity 1s ease-in-out, visibility 1s ease-in-out;
}

.fade-out {
  opacity: 0;
  visibility: hidden;
}

.loader-overlay {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(255, 255, 255, 0.8);
  display: flex;
  justify-content: center;
  align-items: center;
  z-index: 1000;
}

.loader-overlay.hidden {
  display: none;
}

.loader {
  border: 8px solid #f3f3f3;
  border-top: 10px solid #11599c;
  border-radius: 50%;
  width: 60px;
  height: 60px;
  animation: spin 1s linear infinite;
}

.otp-section .reset {
  display: flex;
  align-items: center;
  flex-direction: column;
  gap: 1rem;
}

.show-icon {
  position: absolute;
  transform: translateY(-150%);
  cursor: pointer;
  right: 40px;

  i {
    font-size: 16px;
    color: #7ac2d4;
  }
}

@keyframes spin {
  0% {
    transform: rotate(0deg);
  }

  100% {
    transform: rotate(360deg);
  }
}
.toggle-password {
  position: absolute;
  right: 12px;
  top: 58%;
  transform: translateY(-50%);
  cursor: pointer;
  color: #888;
  font-size: 18px;
}

.toggle-password:hover {
  color: #000;
}



@media (max-width: 1500px) {
  .sidebar {
    width: 30%;
    & .image-wrapper {
        transform: translate(50%, -50%);
    }
    .image-wrapper img {
      max-width: 80%;
  }
}
.main-content {
  .card {
      max-width: 100%;
  }
}
}


@media (max-width: 1485px) {
  .sidebar {
    width: 25%;
    & .image-wrapper {
        transform: translate(45%, -50%);
    }
    .image-wrapper img {
      max-width: 70%;
  }
}
.main-content {
  .card {
      max-width: 100%;
  }
}
}